package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppTransactionDetails;

/**
 * 交易明细记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface AppTransactionDetailsMapper 
{
    /**
     * 查询交易明细记录
     * 
     * @param id 交易明细记录主键
     * @return 交易明细记录
     */
    public AppTransactionDetails selectAppTransactionDetailsById(Long id);

    /**
     * 查询交易明细记录列表
     * 
     * @param appTransactionDetails 交易明细记录
     * @return 交易明细记录集合
     */
    public List<AppTransactionDetails> selectAppTransactionDetailsList(AppTransactionDetails appTransactionDetails);

    /**
     * 新增交易明细记录
     * 
     * @param appTransactionDetails 交易明细记录
     * @return 结果
     */
    public int insertAppTransactionDetails(AppTransactionDetails appTransactionDetails);

    /**
     * 修改交易明细记录
     * 
     * @param appTransactionDetails 交易明细记录
     * @return 结果
     */
    public int updateAppTransactionDetails(AppTransactionDetails appTransactionDetails);

    /**
     * 删除交易明细记录
     * 
     * @param id 交易明细记录主键
     * @return 结果
     */
    public int deleteAppTransactionDetailsById(Long id);

    /**
     * 批量删除交易明细记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppTransactionDetailsByIds(Long[] ids);

    List<AppTransactionDetails> getAppTransactionDetailsByWid(Long wid);
}
